Subject: Re: [PATCH v5 1/1] refs.c: use a stringlist for repack_without_refs

From: Junio C Hamano <[email-masked]>
Date: Thu, 20 Nov 2014 11:01:33 -0800

Stefan Beller <[email-masked]> writes:

>  Junio, I'll address your proposed changes in a different patch. 
>  If err is passed in as NULL, we'll just skip all the error string 
>  formatting and return silent and fast.

Huh, I lost track, but I never meant to say "the functions should
return silently with error code when err == NULL".  I said that it
is another plausible expectation, hence justifies the comment to
clarify, but wished that there were no need to clarify in the first
place.

If everybody required err != NULL, there would be no need to clarify
which functions require err != NULL.  If everybody accepted err ==
NULL as a more efficient way to do "--quiet", that is another way to
remove the need to clarify.

Either way is fine and I did not "propose" anything ;-).

I think this matches more-or-less what I've locally tweaked after
following the discussion between you and Jonathan.  Thanks.